Jack2 1.9.12

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Jack::JackALSARawMidiPort Class Reference
Inheritance diagram for Jack::JackALSARawMidiPort:

## Public Member Functions
| JackALSARawMidiPort (snd_rawmidi_info_t *info, size_t index, unsigned short io_mask)
const char * | GetAlias ()
const char * | GetName ()
int | GetPollDescriptorCount ()
void | PopulatePollDescriptors (struct pollfd *poll_fd)

## Protected Member Functions
int | GetIOPollEvent ()
int | GetQueuePollEvent ()
void | SetIOEventsEnabled (bool enabled)
void | SetQueueEventsEnabled (bool enabled)
bool | TriggerQueueEvent ()

## Protected Attributes
snd_rawmidi_t * | rawmidi

## Detailed Description

Definition at line 30 of file JackALSARawMidiPort.h.

The documentation for this class was generated from the following files:

- JackALSARawMidiPort.h
- JackALSARawMidiPort.cpp